MFC012 — Agrupamento de Contas
Fonte
- Source:
source/MFC012/
Objetivo
O módulo MFC012 - Agrupamento de Contas permite ao usuario reunir (agrupar) multiplas contas a pagar ou contas a receber em um unico documento consolidado. Essa funcionalidade e essencial para simplificar o controle financeiro quando existem diversas parcelas ou documentos de um mesmo fornecedor/cliente que podem ser unificados em uma unica conta.
O agrupamento de contas resolve o problema de gerenciamento de multiplos titulos avulsos no contas a pagar e receber, permitindo que o departamento financeiro trabalhe com menos documentos, facilitando a conciliacao bancaria e o controle de pagamentos/recebimentos. As contas originais sao marcadas com status "Agrupado" (A) e uma nova conta do tipo "AG" (Agrupamento) e gerada com o valor total.
O módulo e utilizado principalmente por profissionais do setor financeiro e de tesouraria que necessitam consolidar titulos antes de efetuar pagamentos ou emitir boletos. Ele se integra diretamente com os parametros financeiros da empresa (PARMFINANC) e respeita regras de permissao por usuario, tipo de conta e empresa.
Funcionalidades
- Filtros para Consulta de Contas
- Selecao e Marcacao de Contas para Agrupamento
- Confirmacao do Agrupamento
- Pesquisa por Lookup (F9)
- Agrupamento Multi-Empresa
- Agrupamento para Pessoa Diferente
Mensagens exibidas
Levantadas de source/MFC012/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| E-0239 | Erro | O Tipo de Pessoa não está Cadastrado! Verifique [TFA005] |
| E-0273 | Erro | A Forma de Pagamento não está Cadastrada. Verifique! [TFC001] |
| E-0292 | Erro | O Tipo de Conta não está Cadastrado. Verifique! [TFC005] |
| E-0307 | Erro | A Pessoa não está Cadastrada como Técnico. Verifique! [TFA020] |
| E-1823 | Erro | Pessoa não Cadastrada. Verifique! [TFA001] |
| E-1882 | Erro | Este Documento é um Boleto Impresso e não pode ser reparcelado. Verifique! |
| E-1883 | Erro | Este Documento é um Boleto Gerado Remessa e não pode ser reparcelado. Verifique! |
| E-1884 | Erro | Parâmetro [Bloqueia Agrupamento] não permite agrupar contas com data de emissão inferior a data de lançamento do agrupamento. Verifique [FNC001]! |
| E-1886 | Erro | O Tipo de Conta deve ser "Contas a Pagar" ou "Contas a Receber"! [TFC005] |
| E-1889 | Erro | O Tipo de Conta deve ser informado! |
| E-1890 | Erro | A Forma de Pagamento deve ser informada! |
| E-1891 | Erro | O campo "Data de Vencimento" deve ser informado! |
| E-1892 | Erro | O Campo "Tipo de Conta" Deve ser Informado! |
| E-1893 | Erro | O Campo "Data de Lançamento" Deve ser Informado! |
| E-1895 | Erro | Não é possível agrupar contas vinculadas a Romaneios diferentes! |
| E-1896 | Erro | Não é possível fazer a Alteração dos Documentos, O documento %s Parcela %s está como incobrável. |
| E-1897 | Erro | Não foi Possível Efetuar o Agrupamento. Conta foi Liquidada. Verifique! |
| E-1899 | Erro | Conta Está com Situação: Cancelada. Verifique! |
| E-1901 | Erro | Não foi Possível Efetuar o Agrupamento. Status da Conta Divergente. Atualize a Consulta. |
| E-1903 | Erro | O Campo "Forma de Pagamento" Deve ser Informado! |
| I-1881 | Informação | Junção de Contas Efetuada com Sucesso. |
| W-0069 | Aviso | A Consulta não retornou registros. Verifique! |
| W-0500 | Aviso | O Usuário não possui a Empresa (%s) Liberada. Verifique! [ADM001] |
| W-0783 | Aviso | O Banco deve ser Informado. |
| W-0793 | Aviso | O Banco não está cadastrado. Verifique! [TFC004] |
| W-0794 | Aviso | A Agência não está cadastrada. Verifique! [TFC004] |
| W-1736 | Aviso | Empresa não cadastrada! [ADM002] |
| W-1755 | Aviso | A Pessoa Não Está Ativa. Verifique! [TFA001] |
| W-1878 | Aviso | Tipo de Conta Não Liberada para o Usuário ou Inativa! |
| W-1879 | Aviso | Nenhuma Junção de Contas foi Efetuada. |
| W-1880 | Aviso | Nenhum Documento Selecionado. |
| W-1887 | Aviso | A Data de Vencimento deve ser maior que Data de Lançamento. Verifique! |
| W-1888 | Aviso | A Data de Lançamento deve ser menor que Data de Vencimento. Verifique! |
| W-1894 | Aviso | Não é possível agrupar/reparcelar contas vinculads a uma Obra de Empresa de Origem %s diferente da Empresa de Destino%s. Verifique! [CFC001] |
| W-1898 | Aviso | Não foi Possível Efetuar o Agrupamento. Conta Está Agrupada. Verifique! |
| W-1900 | Aviso | Não foi Possível Efetuar o Reparcelamento. Parte do Valor da Conta foi Liquidada. Atualize a Consulta. |
| W-1902 | Aviso | Não é Possivel Emitir Boletos de NFSE(s) não Transmitidas. Verifique! [CNF011, MFA013] ' Empresa.: %s N° NF.:%s Série.: %s Espécie.: NFSE |
Mais 1 mensagens com texto literal no código: MFC012.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| CONTASJUNCAO | INSERT |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| ROMANEIOCONTAS | INSERT, SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
| TIPOPESSOA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CONDPARCELA | SELECT |
| CONFIGNFSE | SELECT |
| CONTACORPESSOA | SELECT |
| CONTASHISTORICO | SELECT |
| EMPRESA | SELECT |
| ENDERECOPESSOA | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| JURO | SELECT |
| NFSE | SELECT |
| NOTA | SELECT |
| PARMFINANC | SELECT |
| USUARIOEMPRESA | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CONTROLE_CAIXA | CAIXA (SELECT), PARMFINANC (SELECT), PARMUSUARIO (SELECT) |
| GERA_JUNCAOCONTAS | CONTAS (SELECT/UPDATE), CONTASHISTORICO (INSERT/SELECT), CONTASHISTORICOCC (INSERT/SELECT), CONTASJUNCAO (SELECT), ITEMNOTACC (SELECT) |
| GERA_SEQUENCIA | SEQUENCIA (SELECT/UPDATE) |
| RETORNA_ROMANEIOCONTA | CONTAS (SELECT), PEDIDONOTA (SELECT), ROMANEIOCONTAS (SELECT), ROMANEIONOTA (SELECT), ROMANEIOPEDIDO (SELECT) |
| VIEW_TIPOCONTASUSUARIO | PARMFINANC (SELECT), TIPOCONTARESTRITA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| CAIXA | SELECT |
| CONTAS | SELECT, UPDATE |
| CONTASHISTORICO | INSERT, SELECT |
| CONTASHISTORICOCC | INSERT, SELECT |
| CONTASJUNCAO | SELECT |
| ITEMNOTACC | SELECT |
| PARMFINANC | SELECT |
| PARMUSUARIO | SELECT |
| PEDIDONOTA | SELECT |
| ROMANEIOCONTAS | SELECT |
| ROMANEIONOTA | SELECT |
| ROMANEIOPEDIDO | SELECT |
| SEQUENCIA | SELECT, UPDATE |
| TIPOCONTARESTRITA | SELECT |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |